W3C home > Mailing lists > Public > public-webpayments@w3.org > August 2012

Re: Payswarm Wordpress Plugin

From: Melvin Carvalho <melvincarvalho@gmail.com>
Date: Sun, 19 Aug 2012 23:53:20 +0200
Message-ID: <CAKaEYhKPPtJeZSOjYfOqyxngexzJMNYuYu2PPCKAbip1mN7ewQ@mail.gmail.com>
To: Manu Sporny <msporny@digitalbazaar.com>
Cc: Web Payments <public-webpayments@w3.org>
On 16 August 2012 01:55, Manu Sporny <msporny@digitalbazaar.com> wrote:

> On 08/14/12 15:17, Melvin Carvalho wrote:
> > Just trying to install
> > https://github.com/digitalbazaar/payswarm-wordpress
>
> Great :)
>
> > Strangely I could not git clone from my amazon ec2 instance
> >
> > fatal:
> > https://github.com/digitalbazaar/payswarm-wordpress.git/info/refs
> > download error - The requested URL returned error: 403
>
> Looks like github's clone-via-http is now broken, going to that URL
> gives a 403 now when it used to give you a 200.
>
> Try this instead:
>
> git clone git://github.com/digitalbazaar/payswarm-wordpress.git payswarm
>
> > Trying wget worked wget
> > https://github.com/digitalbazaar/payswarm-wordpress/zipball/master
>
> Hmm, I re-wrote the README so that folks don't get the impression that
> this should work. This particular install method isn't supported right
> now until we get to a commercial release. You'll have to follow the
> "Basic Development Install" instructions here:
>
> https://github.com/digitalbazaar/payswarm-wordpress#pre-requisites
>
> > make gave ERROR: No git repository found, package building will
> > fail.
>
> This is a false negative - it should only give you that /warning/ if
> you're trying to build the packages. The Makefile has been updated to
> not show this error any longer:
>
>
> https://github.com/digitalbazaar/payswarm-wordpress/commit/d7bfb5660bc195ce08ad08443eba5413a59bcbb8
>
> > rm: cannot remove `payswarm-0.9.1/Makefile': No such file or
> > directory make: *** [package] Error 1
>
> Hmm, you should only get this error if you're trying to build the source
> package... which you don't need to do. :)
>
> > So in the dashboard the plugin shows up, but when I clicked on
> > activate I got
> >
> > Parse error: syntax error, unexpected ':' in
> > /ebs2/webappmarket.org/wp-content/plugins/payswarm/jsonld.php
> > <http://webappmarket.org/wp-content/plugins/payswarm/jsonld.php> on
> > line 746
> >
> > $rval = $subject->{$property} ?: array();
> >
> > Is line 746 of my file
>
> This was a bug that has been fixed here:
>
>
> https://github.com/digitalbazaar/php-json-ld/commit/2ff57e973e371a4768b62bf34c428f64f89d6571
>
> We're also fixed a bug that appeared in the latest release that doesn't
> allow you to create a new Vendor identity (needed to register your Web
> App store). The bug has been fixed, but we need to do some database
> migration to match some other fixes we put into the code over the past
> week. We are also improving our continuous integration/release process
> so we can shorten the release timeline from 3+ hours to a few minutes.
> Hope to have that up and running by the end of the week. I'll ping you
> once the new version of the site is out there.
>

Thanks Manu for the quick turn around!

The plugin activates now with no errors.  I'll let you know how I get on
with setting thing up.


>
> -- manu
>
> --
> Manu Sporny (skype: msporny, twitter: manusporny)
> President/CEO - Digital Bazaar, Inc.
> blog: Which is better - RDFa Lite or Microdata?
> http://manu.sporny.org/2012/mythical-differences/
>
Received on Sunday, 19 August 2012 21:53:49 UTC

This archive was generated by hypermail 2.4.0 : Friday, 17 January 2020 19:07:21 UTC